/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IAtuador extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.atuador.atuid</code>.
     */
    public IAtuador setAtuid(Integer value);

    /**
     * Getter for <code>public.atuador.atuid</code>.
     */
    public Integer getAtuid();

    /**
     * Setter for <code>public.atuador.atudescricao</code>.
     */
    public IAtuador setAtudescricao(String value);

    /**
     * Getter for <code>public.atuador.atudescricao</code>.
     */
    public String getAtudescricao();

    /**
     * Setter for <code>public.atuador.atuparametro</code>.
     */
    public IAtuador setAtuparametro(String value);

    /**
     * Getter for <code>public.atuador.atuparametro</code>.
     */
    public String getAtuparametro();

    /**
     * Setter for <code>public.atuador.atuatualizacao</code>.
     */
    public IAtuador setAtuatualizacao(Integer value);

    /**
     * Getter for <code>public.atuador.atuatualizacao</code>.
     */
    public Integer getAtuatualizacao();

    /**
     * Setter for <code>public.atuador.atuativo</code>.
     */
    public IAtuador setAtuativo(String value);

    /**
     * Getter for <code>public.atuador.atuativo</code>.
     */
    public String getAtuativo();

    /**
     * Setter for <code>public.atuador.atuvirtual</code>.
     */
    public IAtuador setAtuvirtual(String value);

    /**
     * Getter for <code>public.atuador.atuvirtual</code>.
     */
    public String getAtuvirtual();

    /**
     * Setter for <code>public.atuador.fktipatuid</code>.
     */
    public IAtuador setFktipatuid(Integer value);

    /**
     * Getter for <code>public.atuador.fktipatuid</code>.
     */
    public Integer getFktipatuid();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IAtuador
     */
    public void from(com.tabajara.base.tables.interfaces.IAtuador from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IAtuador
     */
    public <E extends com.tabajara.base.tables.interfaces.IAtuador> E into(E into);

    @Override
    public default IAtuador fromJson(io.vertx.core.json.JsonObject json) {
        setAtuid(json.getInteger("atuid"));
        setAtudescricao(json.getString("atudescricao"));
        setAtuparametro(json.getString("atuparametro"));
        setAtuatualizacao(json.getInteger("atuatualizacao"));
        setAtuativo(json.getString("atuativo"));
        setAtuvirtual(json.getString("atuvirtual"));
        setFktipatuid(json.getInteger("fktipatuid"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("atuid",getAtuid());
        json.put("atudescricao",getAtudescricao());
        json.put("atuparametro",getAtuparametro());
        json.put("atuatualizacao",getAtuatualizacao());
        json.put("atuativo",getAtuativo());
        json.put("atuvirtual",getAtuvirtual());
        json.put("fktipatuid",getFktipatuid());
        return json;
    }

}
